Skip to content

API reference

Rows

The records in a table: list, filter, aggregate, create, edit and bulk-write them.

List rows

GET/v1/projects/{project_id}/tables/{table_id}/rows

Requirestables:read

Path parameters

  • project_idstringRequired
  • table_idstringRequired

Query parameters

  • cursorstringoptional
  • filterstringoptional
  • limitintegeroptional
    Default
    20

    Between 1 and 100.

  • orderstringoptional
  • pageintegeroptional

    At least 1.

  • qstringoptional

    Up to 200 characters.

Returns

200application/json

  • countintegerRequirednullable

    At least 0.

  • hasMorebooleanRequired
  • limitintegerRequired

    At least 1.

  • nextCursorstringRequirednullable
  • pageintegerRequirednullable

    At least 1.

  • rowsarray of objectsRequired

Errors

  • 404not_foundtable_not_found
  • 410table_soft_deleted
  • 500captcha_unavailableinternal_server_error
Errors every endpoint can return
Requestbash
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows' \  -H 'Authorization: ApiKey {your_api_key}'
Responsejson
{  "count": 0,  "hasMore": true,  "limit": 1,  "nextCursor": "string",  "page": 1,  "rows": [    {}  ]}

Create row

POST/v1/projects/{project_id}/tables/{table_id}/rows

Requirestables:write

Path parameters

  • project_idstringRequired
  • table_idstringRequired

Request body

application/json

    Returns

    201application/json

    Errors

    • 400captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed
    • 402api_request_limit_exceededfeature_not_availablerow_plan_limit
    • 404not_foundtable_not_found
    • 410table_soft_deleted
    • 500captcha_unavailableinternal_server_errorrow_create_failed
    Errors every endpoint can return
    Requestbash
    curl -X POST 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows' \  -H 'Authorization: ApiKey {your_api_key}' \  -H 'Content-Type: application/json' \  -d '{}'
    Responsejson
    {}

    Aggregate column values

    GET/v1/projects/{project_id}/tables/{table_id}/rows/aggregate

    Requirestables:read

    Path parameters

    • project_idstringRequired
    • table_idstringRequired

    Query parameters

    • aggsstringRequired
    • filterstringoptional

    Returns

    200application/json

    Errors

    • 400captcha_failedcaptcha_requiredinvalid_aggregationinvalid_filterinvalid_input
    • 404not_foundtable_not_found
    • 410table_soft_deleted
    • 500captcha_unavailableinternal_server_error
    Errors every endpoint can return
    Requestbash
    curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/aggregate?aggs=%7Baggs%7D' \  -H 'Authorization: ApiKey {your_api_key}'
    Responsejson
    {  "key": 0}

    Bulk create/update/delete rows

    POST/v1/projects/{project_id}/tables/{table_id}/rows/bulk

    Requirestables:write

    Path parameters

    • project_idstringRequired
    • table_idstringRequired

    Request body

    application/json

    • createsarray of objectsoptional

      Up to 1000 items.

    • deletesarray of stringsoptional

      Up to 1000 items.

    • updatesarray of objectsoptional

      Up to 1000 items.

    Returns

    200application/json

    • createdarray of objectsoptional
    • deletedarray of stringsoptional
    • updatedarray of objectsoptional

    Errors

    • 400captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed
    • 402api_request_limit_exceededfeature_not_availablerow_plan_limit
    • 404not_foundtable_not_found
    • 410table_soft_deleted
    • 500captcha_unavailableinternal_server_errorrow_bulk_failed
    Errors every endpoint can return
    Requestbash
    curl -X POST 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/bulk' \  -H 'Authorization: ApiKey {your_api_key}' \  -H 'Content-Type: application/json' \  -d '{  "creates": [    {}  ],  "deletes": [    "string"  ],  "updates": [    {      "data": {},      "id": "string"    }  ]}'
    Responsejson
    {  "created": [    {}  ],  "deleted": [    "string"  ],  "updated": [    {}  ]}

    Get row

    GET/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}

    Requirestables:read

    Path parameters

    • project_idstringRequired
    • table_idstringRequired
    • row_idstringRequired

    Returns

    200application/json

    Errors

    • 404not_foundrow_not_foundtable_not_found
    • 410table_soft_deleted
    • 500captcha_unavailableinternal_server_error
    Errors every endpoint can return
    Requestbash
    curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \  -H 'Authorization: ApiKey {your_api_key}'
    Responsejson
    {}

    Update row

    PATCH/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}

    Requirestables:write

    Path parameters

    • project_idstringRequired
    • table_idstringRequired
    • row_idstringRequired

    Request body

    application/json

      Returns

      200application/json

      Errors

      • 400captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed
      • 404not_foundrow_not_foundtable_not_found
      • 410table_soft_deleted
      • 500captcha_unavailableinternal_server_errorrow_update_failed
      Errors every endpoint can return
      Requestbash
      curl -X PATCH 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \  -H 'Authorization: ApiKey {your_api_key}' \  -H 'Content-Type: application/json' \  -d '{}'
      Responsejson
      {}

      Delete row

      DELETE/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}

      Requirestables:delete

      Path parameters

      • project_idstringRequired
      • table_idstringRequired
      • row_idstringRequired

      Returns

      200application/json

      • idstringRequired

      Errors

      • 404not_foundrow_not_foundtable_not_found
      • 410table_soft_deleted
      • 500captcha_unavailableinternal_server_errorrow_delete_failed
      Errors every endpoint can return
      Requestbash
      curl -X DELETE 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \  -H 'Authorization: ApiKey {your_api_key}'
      Responsejson
      {  "id": "string"}

      The source file behind a row: download it, or open a PDF or image inline

      GET/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}/source

      Requirestables:read

      Path parameters

      • project_idstringRequired
      • table_idstringRequired
      • row_idstringRequired

      Query parameters

      • dispositionstringoptional
        Allowed values
        attachmentinline
        Default
        attachment

      Returns

      200application/octet-stream

      Errors

      • 404not_foundrow_not_foundrow_source_not_foundtable_not_found
      • 410table_soft_deleted
      • 500captcha_unavailableinternal_server_error
      Errors every endpoint can return
      Requestbash
      curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}/source' \  -H 'Authorization: ApiKey {your_api_key}'
      Responsejson
      {  "error_key": "captcha_failed",  "fields": {    "key": [      {        "error_key": "string",        "message": "string",        "path": "string"      }    ]  },  "message": "string",  "status": 400,  "status_key": "string",  "success": false,  "vars": {    "key": "string"  }}